<?php
session_start();
if (isset($_SESSION['log'])) {
    header('Location: strona.php');
    exit();
} elseif (isset($_POST['nazwa']) && isset($_POST['haslo'])) {
    if ($_POST['nazwa'] == 'janek' && $_POST['haslo'] =='jan23')
    {
        $_SESSION['log'] = $_POST['nazwa'];
        header('Location: strona.php');
        exit();
    } else
    {
        echo "Nieprawidłowe dane logowania<br>";
    }
}
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>P59a - strona logowania</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie P59a</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>
        PHP - strona logowania <br><br>


        Przyjmij, że do strony internetowej mają dostęp tylko zalogowani użytkownicy. Wykorzystaj mechanizm sesji do przeprowadzenia autoryzacji użytkownika.
    </p>
</div>
<div class="box">
    <form action="loguj.php" method="post">
        <label for="nazwa">Login: </label><br>
        <input type="text" name="nazwa" id="nazwa"><br>
        <label for="haslo">Hasło: </label><br>
        <input type="text" name="haslo" id="haslo"><br>
        <input type="submit">
    </form>
</div>
</body>
</html>
